Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 04-12-04, 11:45 AM   #1
maule
Registered User
 
Join Date: Feb 2004
Posts: 1
Default fx5200 5336-pkg1 on ia64 with XFree 4.2.0

Hi:

I'm having trouble getting XFree 4.2.0 running with 5336 on an ia64 system. The tail of my log shows:

(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
compiled for 4.2.0, module version = 0.1.0
ABI class: XFree86 Video Driver, version 0.5
(EE) end of block range 0x421 < begin 0xaffff
(EE) sparse io range (base: 0x60000fffffffbbb2 mask: 0x60000fffffffbbc7)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x60000fffffffbc08 mask: 0x60000fffffffbc27)doesn't satisfy (base & mask = mask)
(EE) end of block range 0x4f48006d6f632e69 < begin 0x67732e7361636972
(EE) sparse io range (base: 0x32333b31303d6873 mask: 0x303d7261742e2a3a)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x303d6a72612e2a3a mask: 0x742e2a3a31333b31)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x7a2e2a3a31333b31 mask: 0x31333b31303d7069)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x672e2a3a31333b31 mask: 0x3a31333b31303d7a)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x3b31303d6f697063 mask: 0x67706a2e2a3a3133)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x2a3a35333b31303d mask: 0x3b31303d676e702e)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x7261762f3d4c4941 mask: 0x6d2f6c6f6f70732f)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x6e692f6374652f3d mask: 0x4142006372747570)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x4e414c0063726873 mask: 0x53555f6e653d47)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x4e474f4c00302e30 mask: 0x746f6f723d454d41)doesn't satisfy (base & mask = mask)
(EE) end of block range 0x3a6e69622f736f72 < begin 0x656272656b2f7273
(EE) end of block range 0x2f3a6e69622f6c61 < begin 0x636f6c2f7273752f
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
compiled for 4.2.0, module version = 0.1.0
ABI class: XFree86 Video Driver, version 0.5
(EE) end of block range 0x421 < begin 0xaffff
(EE) sparse io range (base: 0x60000fffffffbbb2 mask: 0x60000fffffffbbc7)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x60000fffffffbc08 mask: 0x60000fffffffbc27)doesn't satisfy (base & mask = mask)
(EE) end of block range 0x4f48006d6f632e69 < begin 0x67732e7361636972
(EE) sparse io range (base: 0x32333b31303d6873 mask: 0x303d7261742e2a3a)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x303d6a72612e2a3a mask: 0x742e2a3a31333b31)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x7a2e2a3a31333b31 mask: 0x31333b31303d7069)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x672e2a3a31333b31 mask: 0x3a31333b31303d7a)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x3b31303d6f697063 mask: 0x67706a2e2a3a3133)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x2a3a35333b31303d mask: 0x3b31303d676e702e)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x7261762f3d4c4941 mask: 0x6d2f6c6f6f70732f)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x6e692f6374652f3d mask: 0x4142006372747570)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x4e414c0063726873 mask: 0x53555f6e653d47)doesn't satisfy (base & mask = mask)
(EE) sparse io range (base: 0x4e474f4c00302e30 mask: 0x746f6f723d454d41)doesn't satisfy (base & mask = mask)
(EE) end of block range 0x3a6e69622f736f72 < begin 0x656272656b2f7273
(EE) end of block range 0x2f3a6e69622f6c61 < begin 0x636f6c2f7273752f

The driver section in my config file is pretty basic:

Section "Device"
Identifier "NV2Ddev"
Driver "nvidia"
BusID "PCI:51:0:0"
EndSection

One interesting thing in the log that caught my eye:

(II) Module nvidia: vendor="NVIDIA Corporation"
compiled for 4.0.2, module version = 1.0.5336
Module class: XFree86 Video Driver

Is there possibly a version mismatch, or is nvidia_drv.o build for 4.0.2 compatable with XFree86 4.2.0 (or is the print broken :-)

The nvidia.o kernel driver built and insmod'd successfully although I doubt that's a player here.

The Linux kernel is based on 2.4.21

Any hints would be appreciated.

thanks
Mark
maule is offline   Reply With Quote
Old 04-13-04, 06:52 AM   #2
666_1337
Registered User
 
Join Date: Dec 2003
Posts: 28
Send a message via ICQ to 666_1337
Default Re: fx5200 5336-pkg1 on ia64 with XFree 4.2.0

normally its not compatible
666_1337 is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 01:51 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.